Show / Hide Table of Contents

# Class ServiceBufferFileStreamFactory

Factory that creates file reader/writers that process rows in an internal, non-human readable file format

##### Inheritance

System.Object
ServiceBufferFileStreamFactory

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.DataStorage

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ServiceBufferFileStreamFactory : IFileStreamFactory

### Methods

| Improve this Doc View Source

#### CreateFile()

Creates a new temporary file

##### Declaration

    public string CreateFile()

##### Returns

Type | Description
--- | ---
System.String | The name of the temporary file

##### Implements

IFileStreamFactory.CreateFile()
| Improve this Doc View Source

#### DisposeFile(String)

Disposes of a file created via this factory

##### Declaration

    public void DisposeFile(string fileName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName | The file to dispose of

##### Implements

IFileStreamFactory.DisposeFile(String)
| Improve this Doc View Source

#### GetReader(String)

Creates a new ServiceBufferFileStreamReader for reading values back from an SSMS formatted buffer file

##### Declaration

    public IFileStreamReader GetReader(string fileName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName | The file to read values from

##### Returns

Type | Description
--- | ---
IFileStreamReader | A ServiceBufferFileStreamReader

##### Implements

IFileStreamFactory.GetReader(String)
| Improve this Doc View Source

#### GetWriter(String, Int32, Int32)

Creates a new ServiceBufferFileStreamWriter for writing values out to an SSMS formatted buffer file

##### Declaration

    public IFileStreamWriter GetWriter(string fileName, int maxCharsToStore, int maxXmlCharsToStore)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName | The file to write values to
System.Int32 | maxCharsToStore | The maximum number of characters to store from long text fields
System.Int32 | maxXmlCharsToStore | The maximum number of characters to store from xml fields

##### Returns

Type | Description
--- | ---
IFileStreamWriter | A ServiceBufferFileStreamWriter

##### Implements

IFileStreamFactory.GetWriter(String, Int32, Int32)